kr.co.hanwha.hifive.enums

## Enum ProjectEvaluationType

- java.lang.Object
- - java.lang.Enum<ProjectEvaluationType>
  - - kr.co.hanwha.hifive.enums.ProjectEvaluationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProjectEvaluationType>

      public enum ProjectEvaluationType
      extends java.lang.Enum<ProjectEvaluationType>

  Created by sanghoonkwon on 2018. 2. 26..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREEN` 이슈 없음
    `NONE` 평가전
    `NULL`
    `RED` 종료 예정
    `YELLOW` 이슈 발생
    `YELLOW_DOUBLE` 보고 필요

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `mType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static ProjectEvaluationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProjectEvaluationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final ProjectEvaluationType NULL

    - #### NONE

          public static final ProjectEvaluationType NONE

      평가전

    - #### GREEN

          public static final ProjectEvaluationType GREEN

      이슈 없음

    - #### YELLOW

          public static final ProjectEvaluationType YELLOW

      이슈 발생

    - #### YELLOW_DOUBLE

          public static final ProjectEvaluationType YELLOW_DOUBLE

      보고 필요

    - #### RED

          public static final ProjectEvaluationType RED

      종료 예정

  - ### Field Detail

    - #### mType

          private int mType

  - ### Method Detail

    - #### values

          public static ProjectEvaluationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProjectEvaluationType c : ProjectEvaluationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProjectEvaluationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()